Package com.databricks.jdbc.model.client.thrift.generated

## Class TDBSqlCloudResultFile

- java.lang.Object
- - com.databricks.jdbc.model.client.thrift.generated.TDBSqlCloudResultFile

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDBSqlCloudResultFile>`, `org.apache.thrift.TBase<TDBSqlCloudResultFile,​TDBSqlCloudResultFile._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TDBSqlCloudResultFile
    extends Object
    implements org.apache.thrift.TBase<TDBSqlCloudResultFile,​TDBSqlCloudResultFile._Fields>, Serializable, Cloneable, Comparable<TDBSqlCloudResultFile>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDBSqlCloudResultFile._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`long` `compressedBytes`
`String` `fileLink`
`String` `filePath`
`Map<String,​String>` `httpHeaders`
`long` `linkExpiryTime`
`static Map<TDBSqlCloudResultFile._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `rowCount`
`long` `startRowOffset`
`long` `uncompressedBytes`

### Constructor Summary

Constructors
`TDBSqlCloudResultFile()`
`TDBSqlCloudResultFile​(TDBSqlCloudResultFile other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TDBSqlCloudResultFile other)`
`TDBSqlCloudResultFile` `deepCopy()`
`boolean` `equals​(TDBSqlCloudResultFile that)`
`boolean` `equals​(Object that)`
`TDBSqlCloudResultFile._Fields` `fieldForId​(int fieldId)`
`long` `getCompressedBytes()`
`Object` `getFieldValue​(TDBSqlCloudResultFile._Fields field)`
`String` `getFileLink()`
`String` `getFilePath()`
`Map<String,​String>` `getHttpHeaders()`
`int` `getHttpHeadersSize()`
`long` `getLinkExpiryTime()`
`long` `getRowCount()`
`long` `getStartRowOffset()`
`long` `getUncompressedBytes()`
`int` `hashCode()`
`boolean` `isSet​(TDBSqlCloudResultFile._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetCompressedBytes()` Returns true if field compressedBytes is set (has been assigned a value) and false otherwise
`boolean` `isSetFileLink()` Returns true if field fileLink is set (has been assigned a value) and false otherwise
`boolean` `isSetFilePath()` Returns true if field filePath is set (has been assigned a value) and false otherwise
`boolean` `isSetHttpHeaders()` Returns true if field httpHeaders is set (has been assigned a value) and false otherwise
`boolean` `isSetLinkExpiryTime()` Returns true if field linkExpiryTime is set (has been assigned a value) and false otherwise
`boolean` `isSetRowCount()` Returns true if field rowCount is set (has been assigned a value) and false otherwise
`boolean` `isSetStartRowOffset()` Returns true if field startRowOffset is set (has been assigned a value) and false otherwise
`boolean` `isSetUncompressedBytes()` Returns true if field uncompressedBytes is set (has been assigned a value) and false otherwise
`void` `putToHttpHeaders​(String key, String val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDBSqlCloudResultFile` `setCompressedBytes​(long compressedBytes)`
`void` `setCompressedBytesIsSet​(boolean value)`
`void` `setFieldValue​(TDBSqlCloudResultFile._Fields field, Object value)`
`TDBSqlCloudResultFile` `setFileLink​(String fileLink)`
`void` `setFileLinkIsSet​(boolean value)`
`TDBSqlCloudResultFile` `setFilePath​(String filePath)`
`void` `setFilePathIsSet​(boolean value)`
`TDBSqlCloudResultFile` `setHttpHeaders​(Map<String,​String> httpHeaders)`
`void` `setHttpHeadersIsSet​(boolean value)`
`TDBSqlCloudResultFile` `setLinkExpiryTime​(long linkExpiryTime)`
`void` `setLinkExpiryTimeIsSet​(boolean value)`
`TDBSqlCloudResultFile` `setRowCount​(long rowCount)`
`void` `setRowCountIsSet​(boolean value)`
`TDBSqlCloudResultFile` `setStartRowOffset​(long startRowOffset)`
`void` `setStartRowOffsetIsSet​(boolean value)`
`TDBSqlCloudResultFile` `setUncompressedBytes​(long uncompressedBytes)`
`void` `setUncompressedBytesIsSet​(boolean value)`
`String` `toString()`
`void` `unsetCompressedBytes()`
`void` `unsetFileLink()`
`void` `unsetFilePath()`
`void` `unsetHttpHeaders()`
`void` `unsetLinkExpiryTime()`
`void` `unsetRowCount()`
`void` `unsetStartRowOffset()`
`void` `unsetUncompressedBytes()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### filePath

    public String filePath

#### startRowOffset

    public long startRowOffset

#### rowCount

    public long rowCount

#### uncompressedBytes

    public long uncompressedBytes

#### compressedBytes

    public long compressedBytes

#### fileLink

    public String fileLink

#### linkExpiryTime

    public long linkExpiryTime

#### httpHeaders

    public Map<String,​String> httpHeaders

#### metaDataMap

    public static final Map<TDBSqlCloudResultFile._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDBSqlCloudResultFile

    public TDBSqlCloudResultFile()

#### TDBSqlCloudResultFile

    public TDBSqlCloudResultFile​(TDBSqlCloudResultFile other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDBSqlCloudResultFile deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDBSqlCloudResultFile,​TDBSqlCloudResultFile._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDBSqlCloudResultFile,​TDBSqlCloudResultFile._Fields>`

#### getFilePath

    public String getFilePath()

#### setFilePath

    public TDBSqlCloudResultFile setFilePath​(String filePath)

#### unsetFilePath

    public void unsetFilePath()

#### isSetFilePath

    public boolean isSetFilePath()

Returns true if field filePath is set (has been assigned a value) and false otherwise

#### setFilePathIsSet

    public void setFilePathIsSet​(boolean value)

#### getStartRowOffset

    public long getStartRowOffset()

#### setStartRowOffset

    public TDBSqlCloudResultFile setStartRowOffset​(long startRowOffset)

#### unsetStartRowOffset

    public void unsetStartRowOffset()

#### isSetStartRowOffset

    public boolean isSetStartRowOffset()

Returns true if field startRowOffset is set (has been assigned a value) and false otherwise

#### setStartRowOffsetIsSet

    public void setStartRowOffsetIsSet​(boolean value)

#### getRowCount

    public long getRowCount()

#### setRowCount

    public TDBSqlCloudResultFile setRowCount​(long rowCount)

#### unsetRowCount

    public void unsetRowCount()

#### isSetRowCount

    public boolean isSetRowCount()

Returns true if field rowCount is set (has been assigned a value) and false otherwise

#### setRowCountIsSet

    public void setRowCountIsSet​(boolean value)

#### getUncompressedBytes

    public long getUncompressedBytes()

#### setUncompressedBytes

    public TDBSqlCloudResultFile setUncompressedBytes​(long uncompressedBytes)

#### unsetUncompressedBytes

    public void unsetUncompressedBytes()

#### isSetUncompressedBytes

    public boolean isSetUncompressedBytes()

Returns true if field uncompressedBytes is set (has been assigned a value) and false otherwise

#### setUncompressedBytesIsSet

    public void setUncompressedBytesIsSet​(boolean value)

#### getCompressedBytes

    public long getCompressedBytes()

#### setCompressedBytes

    public TDBSqlCloudResultFile setCompressedBytes​(long compressedBytes)

#### unsetCompressedBytes

    public void unsetCompressedBytes()

#### isSetCompressedBytes

    public boolean isSetCompressedBytes()

Returns true if field compressedBytes is set (has been assigned a value) and false otherwise

#### setCompressedBytesIsSet

    public void setCompressedBytesIsSet​(boolean value)

#### getFileLink

    public String getFileLink()

#### setFileLink

    public TDBSqlCloudResultFile setFileLink​(String fileLink)

#### unsetFileLink

    public void unsetFileLink()

#### isSetFileLink

    public boolean isSetFileLink()

Returns true if field fileLink is set (has been assigned a value) and false otherwise

#### setFileLinkIsSet

    public void setFileLinkIsSet​(boolean value)

#### getLinkExpiryTime

    public long getLinkExpiryTime()

#### setLinkExpiryTime

    public TDBSqlCloudResultFile setLinkExpiryTime​(long linkExpiryTime)

#### unsetLinkExpiryTime

    public void unsetLinkExpiryTime()

#### isSetLinkExpiryTime

    public boolean isSetLinkExpiryTime()

Returns true if field linkExpiryTime is set (has been assigned a value) and false otherwise

#### setLinkExpiryTimeIsSet

    public void setLinkExpiryTimeIsSet​(boolean value)

#### getHttpHeadersSize

    public int getHttpHeadersSize()

#### putToHttpHeaders

    public void putToHttpHeaders​(String key,
                                 String val)

#### getHttpHeaders

    public Map<String,​String> getHttpHeaders()

#### setHttpHeaders

    public TDBSqlCloudResultFile setHttpHeaders​(Map<String,​String> httpHeaders)

#### unsetHttpHeaders

    public void unsetHttpHeaders()

#### isSetHttpHeaders

    public boolean isSetHttpHeaders()

Returns true if field httpHeaders is set (has been assigned a value) and false otherwise

#### setHttpHeadersIsSet

    public void setHttpHeadersIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDBSqlCloudResultFile._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDBSqlCloudResultFile,​TDBSqlCloudResultFile._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDBSqlCloudResultFile._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDBSqlCloudResultFile,​TDBSqlCloudResultFile._Fields>`

#### isSet

    public boolean isSet​(TDBSqlCloudResultFile._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDBSqlCloudResultFile,​TDBSqlCloudResultFile._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDBSqlCloudResultFile that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDBSqlCloudResultFile other)

Specified by:
  `compareTo` in interface `Comparable<TDBSqlCloudResultFile>`

#### fieldForId

    public TDBSqlCloudResultFile._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDBSqlCloudResultFile,​TDBSqlCloudResultFile._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`